Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.ast
Interface AccessNodeInterface

All Known Implementing Classes:
  AccessNode, ASTAnnotationMethodDeclaration, ASTAnnotationTypeDeclaration, ASTClassOrInterfaceDeclaration, ASTConstructorDeclaration, ASTEnumDeclaration, ASTFieldDeclaration, ASTFormalParameter, ASTLocalVariableDeclaration, ASTMethodDeclaration, SimpleJavaAccessNode, SimpleJavaAccessTypeNode

    public interface AccessNodeInterface

This interface captures Java access modifiers.

Field Summary
`static int` | `ABSTRACT`
`static int` | `FINAL`
`static int` | `NATIVE`
`static int` | `PRIVATE`
`static int` | `PROTECTED`
`static int` | `PUBLIC`
`static int` | `STATIC`
`static int` | `STRICTFP`
`static int` | `SYNCHRONIZED`
`static int` | `TRANSIENT`
`static int` | `VOLATILE`

Method Summary
`int` | `getModifiers()`
`boolean` | `isAbstract()`
`boolean` | `isFinal()`
`boolean` | `isNative()`
`boolean` | `isPackagePrivate()`
`boolean` | `isPrivate()`
`boolean` | `isProtected()`
`boolean` | `isPublic()`
`boolean` | `isStatic()`
`boolean` | `isStrictfp()`
`boolean` | `isSynchronized()`
`boolean` | `isTransient()`
`boolean` | `isVolatile()`
`void` | `setAbstract()` Deprecated. Use setAbstract(boolean) instead.
`void` | `setAbstract(boolean isAbstract)`
`void` | `setFinal()` Deprecated. Use setFinal(boolean) instead.
`void` | `setFinal(boolean isFinal)`
`void` | `setModifiers(int modifiers)`
`void` | `setNative()` Deprecated. Use setNative(boolean) instead.
`void` | `setNative(boolean isNative)`
`void` | `setPrivate()` Deprecated. Use setPrivate(boolean) instead.
`void` | `setPrivate(boolean isPrivate)`
`void` | `setProtected()` Deprecated. Use setProtected(boolean) instead.
`void` | `setProtected(boolean isProtected)`
`void` | `setPublic()` Deprecated. Use setPublic(boolean) instead.
`void` | `setPublic(boolean isPublic)`
`void` | `setStatic()` Deprecated. Use setStatic(boolean) instead.
`void` | `setStatic(boolean isStatic)`
`void` | `setStrictfp()` Deprecated. Use setStrictfp(boolean) instead.
`void` | `setStrictfp(boolean isStrictfp)`
`void` | `setSynchronized()` Deprecated. Use setSynchronized(boolean) instead.
`void` | `setSynchronized(boolean isSynchronized)`
`void` | `setTransient()` Deprecated. Use setTransient(boolean) instead.
`void` | `setTransient(boolean isTransient)`
`void` | `setVolatile()` Deprecated. Use setVolatile(boolean) instead.
`void` | `setVolatile(boolean isVolatile)`

Field Detail

### PUBLIC

    static final int PUBLIC

See Also:
  Constant Field Values

### PROTECTED

    static final int PROTECTED

See Also:
  Constant Field Values

### PRIVATE

    static final int PRIVATE

See Also:
  Constant Field Values

### ABSTRACT

    static final int ABSTRACT

See Also:
  Constant Field Values

### STATIC

    static final int STATIC

See Also:
  Constant Field Values

### FINAL

    static final int FINAL

See Also:
  Constant Field Values

### SYNCHRONIZED

    static final int SYNCHRONIZED

See Also:
  Constant Field Values

### NATIVE

    static final int NATIVE

See Also:
  Constant Field Values

### TRANSIENT

    static final int TRANSIENT

See Also:
  Constant Field Values

### VOLATILE

    static final int VOLATILE

See Also:
  Constant Field Values

### STRICTFP

    static final int STRICTFP

See Also:
  Constant Field Values

Method Detail

### getModifiers

    int getModifiers()

### setModifiers

    void setModifiers(int modifiers)

### isPublic

    boolean isPublic()

### setPublic

    void setPublic()

  Deprecated. Use setPublic(boolean) instead.

### setPublic

    void setPublic(boolean isPublic)

### isProtected

    boolean isProtected()

### setProtected

    void setProtected()

  Deprecated. Use setProtected(boolean) instead.

### setProtected

    void setProtected(boolean isProtected)

### isPrivate

    boolean isPrivate()

### setPrivate

    void setPrivate()

  Deprecated. Use setPrivate(boolean) instead.

### setPrivate

    void setPrivate(boolean isPrivate)

### isAbstract

    boolean isAbstract()

### setAbstract

    void setAbstract()

  Deprecated. Use setAbstract(boolean) instead.

### setAbstract

    void setAbstract(boolean isAbstract)

### isStatic

    boolean isStatic()

### setStatic

    void setStatic()

  Deprecated. Use setStatic(boolean) instead.

### setStatic

    void setStatic(boolean isStatic)

### isFinal

    boolean isFinal()

### setFinal

    void setFinal()

  Deprecated. Use setFinal(boolean) instead.

### setFinal

    void setFinal(boolean isFinal)

### isSynchronized

    boolean isSynchronized()

### setSynchronized

    void setSynchronized()

  Deprecated. Use setSynchronized(boolean) instead.

### setSynchronized

    void setSynchronized(boolean isSynchronized)

### isNative

    boolean isNative()

### setNative

    void setNative()

  Deprecated. Use setNative(boolean) instead.

### setNative

    void setNative(boolean isNative)

### isTransient

    boolean isTransient()

### setTransient

    void setTransient()

  Deprecated. Use setTransient(boolean) instead.

### setTransient

    void setTransient(boolean isTransient)

### isVolatile

    boolean isVolatile()

### setVolatile

    void setVolatile()

  Deprecated. Use setVolatile(boolean) instead.

### setVolatile

    void setVolatile(boolean isVolatile)

### isStrictfp

    boolean isStrictfp()

### setStrictfp

    void setStrictfp()

  Deprecated. Use setStrictfp(boolean) instead.

### setStrictfp

    void setStrictfp(boolean isStrictfp)

### isPackagePrivate

    boolean isPackagePrivate()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.